# Data and information tooling

If you are building data analytics on Hyperliquid, you likely are:

* tracking smart money accounts
* finding biggest positions on any market
* getting live liquidation alerts

#### Tracking smart money accounts

The easiest way to evaluate smart trader positioning is to group all the wallets you have marked as interesting and call [batchClearinghouseStates](/readme/rest-api/user-position-data/batchclearinghousestates.md) to access their current positioning. [batchClearinghouseStates](/readme/rest-api/user-position-data/batchclearinghousestates.md)allows you to get current positioning of up to 1000 wallets per call. From there you can either show individual positioning to your users or create aggregates.

#### Finding biggest positions on any market

Use [perpSnapshot](/readme/rest-api/market-data/perpsnapshot.md)to get all positions across all markets on Hyperliquid. You can specify certain market(s) you only get positioning for chosen markets, for example HYPE or BTC. [perpSnapshot](/readme/rest-api/market-data/perpsnapshot.md)returns all positions through a single call, which is very useful if you'd want to show the amount of big longs or shorts on an asset, or a change of positioning compared to a snapshot 30 minutes ago.

#### Getting live liquidation alerts

To get live liquidation alerts, you can simply subscribe to [liquidationFills](/readme/websocket/liquidationfills.md)websockets to receive all live liquidations happening on Hyperliquid. From there you can sort them to be able to show to your users:

* liquidations above a certain threshold
* liquidations happening on a certain asset only
* liquidations happening on a certain HIP-3 DEX only


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hydromancer.xyz/readme/builder-guides/data-and-information-tooling.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
